Summary:	PulseAudio Volume Control
Summary(pl.UTF-8):	PulseAudio Volume Control - sterowanie głośnością PulseAudio
Name:		pavucontrol
Version:	5.0
Release:	2
License:	GPL v2+
Group:		X11/Applications/Sound
Source0:	https://freedesktop.org/software/pulseaudio/pavucontrol/%{name}-%{version}.tar.xz
# Source0-md5:	a4a5dc51dcf4d912443faf3fe8d32b55
URL:		http://freedesktop.org/software/pulseaudio/pavucontrol/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.11
BuildRequires:	gettext-tools
BuildRequires:	gtkmm3-devel >= 3.22
BuildRequires:	intltool >= 0.35.0
BuildRequires:	json-glib-devel >= 1.0
BuildRequires:	libcanberra-gtk3-devel >= 0.16
BuildRequires:	libsigc++-devel >= 2.0.0
BuildRequires:	pkgconfig
BuildRequires:	pulseaudio-devel >= 5.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	gtkmm3 >= 3.22
Requires:	libcanberra-gtk3 >= 0.16
Requires:	pulseaudio-libs >= 5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PulseAudio Volume Control (pavucontrol) is a simple GTK+ based volume
control tool ("mixer") for the PulseAudio sound server. In contrast to
classic mixer tools this one allows you to control both the volume of
hardware devices and of each playback stream seperately.

%description -l pl.UTF-8
PulseAudio Volume Control (pavucontrol) to proste, oparte na GTK+,
narzędzie do regulacji głośności ("mikser") dla serwera dźwięku
PulseAudio. W przeciwieństwie do klasycznych mikserów pozwala
regulować głośność urządzeń sprzętowych, jak i każdego odtwarzanego
strumienia osobno.

%prep
%setup -q

%build
%{__intltoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-lynx \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

mv $RPM_BUILD_ROOT%{_datadir}/locale/nb{_NO,}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/pavucontrol
%{_datadir}/pavucontrol
%{_desktopdir}/pavucontrol.desktop
%changelog
* Mon Aug 16 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pavucontrol.git;a=log;h=master

* Mon Aug 16 2021 Jan Palus <atler@pld-linux.org> 5ba97b9
- rename locale nb_NO -> nb; rel 2

* Mon Aug 16 2021 Jan Palus <atler@pld-linux.org> 7e884f2
- up to 5.0

* Sat Mar 09 2019 Jan Palus <atler@pld-linux.org> bb4d65a
- fix typo

* Sat Mar 09 2019 Jan Palus <atler@pld-linux.org> 547aa64
- up to 4.0

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> ab446e5
- fix build by forcing -std=gnu++11

* Wed Apr 08 2015 Jan Palus <atler@pld-linux.org> 93284f0
- up to 3.0

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> d759b26
- updated gettext BR

* Sat Apr 06 2013 Jan Palus <jan.palus@gmail.com> 2373583
- up to 2.0
- BR: pulseaudio-devel >= 3.0 (for pa_context_set_port_latency_offset)

* Sun Oct 23 2011 Elan Ruusamäe <glen@pld-linux.org> e700ef3
- release 2

* Fri Oct 14 2011 Jakub Bogusz <qboosh@pld-linux.org> 4ed5131
- updated to 1.0
- updated URLs
- now it builds with gtk+3 by default, added gtk2 bcond

* Sun Feb 28 2010 Elan Ruusamäe <glen@pld-linux.org> a6b2e6f
- release 2

* Sun Oct 25 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 5a5b87e
- updated to 0.9.10
- removed obsolete -desktop.patch

* Sun Oct 25 2009 Marcin Banasiak <marcin.banasiak@gmail.com> f28bb32
- obsolete

* Mon Jul 06 2009 Jan Wideł <jasw@pld-linux.org> 1306e5a
- add missing BR
- remove	redundant patch

* Sat Oct 18 2008 Patryk Zawadzki <patrys@room-303.com> b16bc47
- 0.9.7

* Thu Apr 03 2008 Szymon Siwek <sls@pld-linux.org> 22ced77
- ver. 0.9.6

* Sun Nov 04 2007 Jakub Bogusz <qboosh@pld-linux.org> fc0f7b2
- updated to 0.9.5

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 06bd9ad
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 376aa52
- converted to UTF-8

* Sat Sep 16 2006 Jakub Bogusz <qboosh@pld-linux.org> d502268
- updated to 0.9.4

